petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrcmp

Compares two strings,

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrcmp(const char a[],const char b[],PetscBool  *flg)

Not Collective Many br

### Input Parameters

| a | - pointer to string first string Many br
| b | - pointer to second string Many br

### Output Parameter

flg -PETSC_TRUE if the two strings are equal Many br

Many br

Notes: Not for use in Fortran Many br

### See Also

PetscStrgrt(), PetscStrncmp(), PetscStrcasecmp()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ts/examples/tutorials/ex11.c.html